DROP TABLE IF EXISTS archive;
CREATE TABLE archive (
  arch_id int(11) NOT NULL,
  arch_pr_id int(11) NOT NULL,
  arch_title varchar(255) NOT NULL,
  arch_comment text NOT NULL,
  arch_start int(11) NOT NULL,
  arch_finish int(11) NOT NULL,
  arch_warndiff int(11) NOT NULL,
  arch_prio varchar(255) NOT NULL,
  arch_status tinyint(4) NOT NULL,
  arch_privat tinyint(4) NOT NULL,
  arch_statusbar tinyint(4) NOT NULL,
  arch_inserted int(11) NOT NULL,
  arch_inserted_from int(11) NOT NULL,
  arch_changed int(11) NOT NULL,
  arch_changed_from int(11) NOT NULL,
  PRIMARY KEY  (arch_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS employees;
CREATE TABLE employees (
  empl_id int(11) NOT NULL,
  empl_surname varchar(100) NOT NULL,
  empl_firstname varchar(100) NOT NULL,
  empl_login varchar(20) NOT NULL,
  empl_pwd varchar(50) NOT NULL,
  empl_status tinyint(4) NOT NULL default '0',
  empl_position tinyint(4) NOT NULL default '0',
  empl_added int(11) NOT NULL default '0',
  empl_added_from int(11) NOT NULL default '0',
  empl_changed int(11) NOT NULL default '0',
  empl_changed_from int(11) NOT NULL default '0',
  empl_comment text NOT NULL,
  PRIMARY KEY  (empl_id),
  UNIQUE KEY `empl_login` (empl_login),
  KEY empl_status (empl_status),
  KEY empl_position (empl_position)
) TYPE=MyISAM;

DROP TABLE IF EXISTS projectmembers;
CREATE TABLE projectmembers (
  project_id int(11) NOT NULL default '0',
  member_id int(11) NOT NULL default '0',
  PRIMARY KEY  (project_id,member_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS projectpos;
CREATE TABLE projectpos (
  prpos_id int(11) NOT NULL,
  prpos_ordernumber tinyint(4) NOT NULL,
  prpos_parent_id int(11) NOT NULL,
  prpos_project_id int(11) NOT NULL,
  prpos_name varchar(255) NOT NULL,
  prpos_comment text NOT NULL,
  prpos_created int(11) NOT NULL,
  prpos_created_from int(11) NOT NULL,
  prpos_changed int(11) NOT NULL,
  prpos_changed_from int(11) NOT NULL,
  prpos_status tinyint(4) NOT NULL,
  PRIMARY KEY  (prpos_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS projectpos_copy;
CREATE TABLE projectpos_copy (
  prpos_id int(11) NOT NULL,
  prpos_ordernumber tinyint(4) NOT NULL,
  prpos_parent_id int(11) NOT NULL,
  prpos_project_id int(11) NOT NULL,
  prpos_name varchar(255) NOT NULL,
  prpos_comment text NOT NULL,
  prpos_created int(11) NOT NULL,
  prpos_created_from int(11) NOT NULL,
  prpos_changed int(11) NOT NULL,
  prpos_changed_from int(11) NOT NULL,
  prpos_status tinyint(4) NOT NULL,
  PRIMARY KEY  (prpos_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS projects;
CREATE TABLE projects (
  pr_id int(11) NOT NULL,
  pr_name varchar(255) NOT NULL,
  pr_comment text NOT NULL,
  pr_created int(11) NOT NULL,
  pr_created_from int(11) NOT NULL,
  pr_changed int(11) NOT NULL,
  pr_changed_from int(11) NOT NULL,
  pr_status tinyint(4) NOT NULL,
  PRIMARY KEY  (pr_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS taet;
CREATE TABLE taet (
  taet_id int(11) NOT NULL,
  taet_start int(11) NOT NULL,
  taet_finish int(11) NOT NULL,
  taet_prpos_id int(11) NOT NULL,
  taet_added int(11) NOT NULL,
  taet_added_from int(11) NOT NULL,
  taet_changed int(11) NOT NULL,
  taet_changed_from int(11) NOT NULL,
  taet_short_desc varchar(255) NOT NULL,
  taet_full_desc text NOT NULL,
  PRIMARY KEY  (taet_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS todolist;
CREATE TABLE todolist (
  todo_id int(11) NOT NULL,
  todo_pr_id int(11) NOT NULL,
  todo_title varchar(255) NOT NULL,
  todo_comment text NOT NULL,
  todo_start int(11) NOT NULL,
  todo_finish int(11) NOT NULL,
  todo_warndiff int(11) NOT NULL,
  todo_prio varchar(255) NOT NULL,
  todo_status tinyint(4) NOT NULL,
  todo_privat tinyint(4) NOT NULL,
  todo_statusbar tinyint(4) NOT NULL,
  todo_inserted int(11) NOT NULL,
  todo_inserted_from int(11) NOT NULL,
  todo_changed int(11) NOT NULL,
  todo_changed_from int(11) NOT NULL,
  PRIMARY KEY  (todo_id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS usrcfg;
CREATE TABLE usrcfg (
  cfg_usr_id int(11) NOT NULL,
  cfg_var varchar(255) NOT NULL,
  cfg_val text NOT NULL,
  PRIMARY KEY  (cfg_usr_id,cfg_var)
) TYPE=MyISAM;